# Class OrderInterceptor.MessageOrder

java.lang.Object
org.apache.catalina.tribes.group.interceptors.OrderInterceptor.MessageOrder

Enclosing class:
  `OrderInterceptor`

protected static class OrderInterceptor.MessageOrder extends Object

## Constructor Summary

Constructors
Constructor
Description
`MessageOrder(int msgNr, ChannelMessage msg)`

## Method Summary

Modifier and Type
Method
Description
`static OrderInterceptor.MessageOrder`
`add(OrderInterceptor.MessageOrder head, OrderInterceptor.MessageOrder add)`
`int`
`getCount()`
`ChannelMessage`
`getMessage()`
`int`
`getMsgNr()`
`OrderInterceptor.MessageOrder`
`getNext()`
`boolean`
`isExpired(long expireTime)`
`void`
`setMessage(ChannelMessage msg)`
`void`
`setNext(OrderInterceptor.MessageOrder order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageOrder

public MessageOrder(int msgNr, ChannelMessage msg)

## Method Details

### isExpired

public boolean isExpired(long expireTime)

### getMessage

public ChannelMessage getMessage()

### setMessage

public void setMessage(ChannelMessage msg)

### setNext

public void setNext(OrderInterceptor.MessageOrder order)

### getNext

public OrderInterceptor.MessageOrder getNext()

### getCount

public int getCount()

### add

public static OrderInterceptor.MessageOrder add(OrderInterceptor.MessageOrder head, OrderInterceptor.MessageOrder add)

### getMsgNr

public int getMsgNr()